# IOUtil (ARX GUI Documentation)

org.deidentifier.arx.io

## Class IOUtil

- java.lang.Object
- - org.deidentifier.arx.io.IOUtil

-     public class IOUtil
      extends java.lang.Object

  Utility for I/O

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IOUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `trim(java.lang.String input)` Trims a given string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IOUtil

          public IOUtil()

  - ### Method Detail

    - #### trim

          public static java.lang.String trim(java.lang.String input)

      Trims a given string. Can handle `null`.
      Parameters:
        `input` -
      Returns: